class_name MovementComponent
extends Node

var desired_movement_vector: Vector2

# Return the desired direction of movement for the character
# in the range [-1, 1], where positive values indicate a desire
# to move to the right and negative values to the left.
func get_movement_direction() -> float:
	return 0.0

# Return a boolean indicating if the character wants to jump
func wants_jump() -> bool:
	return false

# Return a boolean indicating if the character wants to jump
func wants_shoot() -> bool:	
	return false
